PayID Enquiry API

Purpose

Use PayID Enquiry to:

  • Check whether a PayID is registered and NPP and PayTo reachable for payments
  • Validate the BSB and account number attached to the PayID; and
  • Validate whether a customer‑provided/expected account name matches the Full Legal Account Name associated with the PayID (PayID Name Matching)

PayID Name Matching

Our proprietary PayID matching logic is designed specifically for these real‑world conditions, measuring how “close” two names are, then applying additional validation rules to make the outcome more reliable for payments use cases.

Request Body

Required:

  • payID (string, length 5–50): PayID to check
  • payIDType (enum): PHONE | EMAIL | ABN | ORG

Optional (for PayID name matching)

  • accountName (string, length 1–140): Expected account name used for PayID name matching
  • bsb (string): Bsb to validate. If provided, accountNumber must be present.
  • accountNumber (string): Account number to validate. If provided, bsb must be present.

PayID validation

The following validation is applied based on the payIDType:

PayID Type: PHONE

  • Validation:

    /^\+[0-9]{1,3}-[1-9][0-9]{1,29}$/
  • Examples of accepted values: +61-40012313

  • Examples of rejected values: 0400123123, +614123123

PayID Type: EMAIL

PayID Type: ABN

  • Validation:
    /^((\d{9})|(\d{11}))$/
  • Examples of accepted values: 123456789, 000123456, 12345678901, 00000000000, 98765432109
  • Examples of rejected values: 12345678, 1234567890, 123456789012, 12345AB789, 123-456-789, 123456789, 123456789
📘

The ACN (Australian Company Number), ARBN (Australian Registered Body Number) and ARSN (Australian Registered Scheme Number) can all be used under the PayID Type ABN

PayID Type: ORG

  • Validation:
    /^\S[a-z0-9!\"#$%&'()*+,./:;<=>?@\[\] ^_`{|}~-]*\S$
  • Examples of accepted values: acme123, acme-co, acme.co, acme_company, org+test, abc@xyz, name!test, Acme, acme org, acme
  • Examples of rejected values: acme , a, acme\norg, acme\torg

Responses

200 success

{
  "payID":"+61-400123456",
  "bsb": "132-456",
  "accountNumber": "132465879",
  "payIDType":"PHONE",
  "accountName": "Jonathan George Smith"
  }
{
    "AccountStatus": {
        "nppReachable": true,
        "paytoReachable": true,
        "accountServices": [
            "sct",
            "x2p1",
            "mpis"
        ],
        "validBsb": false,
        "validAccountNumber": false,
        "aliasName": "Jonathan Smith",
        "validAccountName": true
    }
}

400 bad request

{
  "payID":"+61-469887654"
  }  
{
    "message": "[object has missing required properties ([\"payIDType\"])]",
    "details": {
        "failureCode": "ERR0.03",
        "failureReason": "[object has missing required properties ([\"payIDType\"])]"
    }
}
{
  "payID":"australian lithium exploration services proprietary limited",
  "payIDType":"EMAIL",
  "bsb": "182222",
  "accountNumber": "132456789"
  }
{
    "message": "PayID format is incorrect",
    "details": {
        "failureCode": "ERR0.03",
        "failureReason": "PayID format is incorrect"
    }
}

401 invalid authorization header

{
    "message": "Unauthorized",
    "details": {
        "failureCode": "ERR0.02",
        "failureReason": "Unauthorized"
    }
}

404 account not found

{
    "message": "PayID not found",
    "details": {
        "failureCode": "ERR0.03",
        "failureReason": "PayID not found"
    }
}

Test Data

To test the name matching outcomes, the Full Legal Account Name (FLAN) attached to the PayIDs have been provided below. When you invoke the PayID Enquiry endpoint, you will set the accountName, this will be matched against the FLAN (in the table below) and a match result will be returned.

  • A Match will include the following in the api response: "validAccountName": true
  • A No Match will include the following in the api response: "validAccountName": false

Example:

{
  "payID":"[email protected]",
  "payIDType":"EMAIL",
  "accountName": "Michael Williams"
  }
{
    "AccountStatus": {
        "nppReachable": true,
        "paytoReachable": true,
        "accountServices": [
            "sct",
            "x2p1",
            "mpis"
        ],
        "aliasName": "M Williams",
        "validAccountName": true
    }
}

Test Scenarios

To simulate the complete end to end process from looking up a PayID, matching the expected account names to making a payment, use the below PayIDs

PayIDTypePayIDAccount InformationAccount ServicesPayment API Expected Behaviour
EMAIL[email protected]Full Legal Account Name: John Smith
Alias Name: J Smith
BSB: 402001
Account Number: 12345678
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED
EMAIL[email protected]Full Legal Account Name: Michael Thomas Williams
Alias Name: M Williams
BSB: 402001
Account Number: 987654321
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"FAILED
EMAIL[email protected]Full Legal Account Name: Michael Thomas Williams Andrews
Alias Name: Michael Andrews
BSB: 402002
Account Number: 11112222
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"RETURNED
EMAIL[email protected]Full Legal Account Name: Jones, Phillip & Tracy
Alias Name: Phillip Jones
BSB: 082-003
Account Number: 00012345
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"PENDING then
SETTLED
EMAIL[email protected]Full Legal Account Name: Phillip Jones and Tracey Jones
Alias Name: P Jones
BSB: 192-879
Account Number: 44445555
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED
EMAIL[email protected]Full Legal Account Name: Southern Cross Community Housing Services Association Limited
Alias Name: Southern Cross Community Housing
BSB: 192-879
Account Number: 44445555
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED
PHONE+61-400567829Full Legal Account Name: Phillip Jones, Tracy Jones and Edwin Jones
Alias Name: T Jones
BSB: 013-456;
Account Number: 12345678
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED
PHONE+61-400123395Full Legal Account Name: KIERAN J R TEOH
Alias Name: K Teoh
BSB: 182-182
Account Number: 987654321
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"FAILED
PHONE+61-400234506Full Legal Account Name: Michael T. Williams
Alias Name: Michael Williams
BSB: 633-000
Account Number: 11112222
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"RETURNED
PHONE+61-400345617Full Legal Account Name: John O'Connor
Alias Name: J O’Connor
BSB: 484-799
Account Number: 00012345
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"PENDING then
SETTLED
PHONE+61-400456728Full Legal Account Name: Mr Philip Jones
Alias Name: P Jones
BSB: 032-001
Account Number: 44445555
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED
ABN10000000000Full Legal Account Name: Azupay Proprietary Limited
Alias Name: Azupay
BSB: 182-222
Account Number:
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED
ABN17000000010Full Legal Account Name: Australia Energy Pty Ltd As Trustee For The Green Energy Trust Trading As Green Future
Alias name: Green Future
BSB: 484-799
Account Number: 7662514
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED
ABN17000000009Full Legal Account Name: AOB Nominees As Trustee For The AOB Superannuation Trust
Alias Name: AOB Nominees
BSB: 484-799
Account Number: 12345678
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"FAILED
ABN17200000040Full Legal Account Name: Australian Rare Minerals Pty Ltd T/A Australian Lithium
Alias Name: Australian Lithium
BSB: 013-456
Account Number: 987654321
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"RETURNED
ORGbubble limited liability companyFull Legal Account Name: Bubble limited liability company
Alias Name: Bubble
BSB: 013-456
Account Number:
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"RETURNED
ORGbritish brothers association limitedFull Legal Account Name: British Brothers Association Limited
Alias Name: British Brothers
BSB: 083-001
Account Number:
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"FAILED
ORGaob nomineesFull Legal Account Name: AOB Nominees As Trustee For The AOB Superannuation Trust
Alias Name: AOB Nominees
BSB: 062-000
Account Number: 11112222
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED
ORGaustralian lithium exploration services proprietary limitedFull Legal Account Name: australian lithium exploration services proprietary limited
Alias Name: australian lithium exploration services proprietary limited
BSB: 192-879
Account Number: 44445555
nppReachable: true; paytoReachable: true; accountServices: "sct", "x2p1", "mpis"SETTLED


Failure Scenrios

PayIDTypePayIDExpected Response
PHONE+61-481223283"failureCode": "ERR0.03",
"failureReason": "Unauthorised to perform this operation"
EMAIL[email protected]"failureCode": "ERR0.03",
"failureReason": "Unauthorised to perform this operation"
EMAIL[email protected]"failureCode": "ERR0.03",
"failureReason": "PayID not found"
PHONE+61-469887593"failureCode": "ERR0.03",
"failureReason": "PayID not found"
PHONE+61-411123062"failureCode": "ERR0.03",
"failureReason": "PayID not found"
ABN1234567890"failureCode": "ERR0.03",
"failureReason": "PayID not found"
ORGnot an organisation"failureCode": "ERR0.03",
"failureReason": "PayID not found"

Bank Accounts

BSBExpected Response
939200BSB is not found
000000BSB is not found
Other BSBBSB is NPP Reachable and NOT PayTo Reachable